Package org.eclipse.e4.ui.css.swt.dom

# Class ToolBarElement

java.lang.Object
org.eclipse.e4.ui.css.core.dom.ElementAdapter
org.eclipse.e4.ui.css.swt.dom.WidgetElement
org.eclipse.e4.ui.css.swt.dom.ControlElement
org.eclipse.e4.ui.css.swt.dom.CompositeElement
org.eclipse.e4.ui.css.swt.dom.ToolBarElement

All Implemented Interfaces:
  `CSSStylableElement`, `IStreamingNodeList`, `Element`, `Node`, `NodeList`

public class ToolBarElement extends CompositeElement
`CSSStylableElement` implementation which wrap SWT `CTabFolder`.

## Field Summary

### Fields inherited from class org.eclipse.e4.ui.css.swt.dom.ControlElement

`hasFocus, hasMouseHover`

### Fields inherited from class org.eclipse.e4.ui.css.swt.dom.WidgetElement

`localName, namespaceURI, swtStyles`

### Fields inherited from class org.eclipse.e4.ui.css.core.dom.ElementAdapter

`engine`

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Constructor Summary

Constructors
Constructor
Description
`ToolBarElement(ToolBar toolbar, CSSEngine engine)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getLength()`
`ToolBar`
`getToolBar()`
`Node`
`item(int index)`

### Methods inherited from class org.eclipse.e4.ui.css.swt.dom.CompositeElement

`getComposite, hasBackgroundOverriddenByCSS, reset, setBackgroundOverriddenByCSSMarker, stream`

### Methods inherited from class org.eclipse.e4.ui.css.swt.dom.ControlElement

`dispose, getControl, getParentNode, initialize, isPseudoInstanceOf`

### Methods inherited from class org.eclipse.e4.ui.css.swt.dom.WidgetElement

`applyStyles, computeAttributeSWTStyle, computeLocalName, computeNamespaceURI, computeStaticPseudoInstances, getAttribute, getChildNodes, getCSSClass, getCSSClass, getCSSId, getCSSStyle, getEngine, getEngine, getID, getLocalName, getNamespaceURI, getWidget, hasAttribute, internalGetAttribute, setCSSClass, setEngine, setID, toString`

### Methods inherited from class org.eclipse.e4.ui.css.core.dom.ElementAdapter

`addStaticPseudoInstance, appendChild, cloneNode, compareDocumentPosition, copyDefaultStyleDeclarations, doApplyStyles, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDefaultStyleDeclaration, getElement, getElementsByTagName, getElementsByTagNameNS, getFeature, getFirstChild, getLastChild, getNativeWidget, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getPrefix, getPreviousSibling, getSchemaTypeInfo, getStaticPseudoInstances, getStyle, getTagName, getTextContent, getUserData, hasAttributeNS, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isStaticPseudoInstance, isSupported, lookupNamespaceURI, lookupPrefix, normalize, onStylesApplied, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultStyleDeclaration, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ToolBarElement

public ToolBarElement(ToolBar toolbar, CSSEngine engine)

## Method Details

### getToolBar

public ToolBar getToolBar()

### item

public Node item(int index)

Specified by:
  `item` in interface `NodeList`
Overrides:
  `item` in class `CompositeElement`

### getLength

public int getLength()

Specified by:
  `getLength` in interface `NodeList`
Overrides:
  `getLength` in class `CompositeElement`